Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class Dtm

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.item.Item
              org.basex.query.xquery.item.Date
                  org.basex.query.xquery.item.Dtm

    public final class Dtm

extends Date

DateTime item.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static java.text.SimpleDateFormat` | `DATE` Slider width.

Fields inherited from class org.basex.query.xquery.item.Date
`mil, minus, mon, sec, zone, zshift`

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`Dtm(byte[] dt)` Constructor.
`Dtm(Date d)` Constructor.
`Dtm(Date d, Dur a, boolean p)` Constructor.
`Dtm(Lng tm)` Constructor.

Method Summary
`byte[]` | `str()` Returns an atomized string.

Methods inherited from class org.basex.query.xquery.item.Date
`diff, diff, dpm, eq, toString`

Methods inherited from class org.basex.query.xquery.item.Item
`bool, castErr, comp, dbl, eval, flt, i, info, iter, itr, serialize, serialize, size`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, n, node, s, u`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DATE

    public static final java.text.SimpleDateFormat DATE

  Slider width.

Constructor Detail

### Dtm

    public Dtm(byte[] dt)
        throws XQException

  Constructor.

  Parameters:
    `dt` - date
  Throws:
    `XQException` - evaluation exception

### Dtm

    public Dtm(Date d)

  Constructor.

  Parameters:
    `d` - date

### Dtm

    public Dtm(Date d,
               Dur a,
               boolean p)

  Constructor.

  Parameters:
    `d` - date
    `a` - duration
    `p` - plus/minus flag

### Dtm

    public Dtm(Lng tm)
        throws XQException

  Constructor.

  Parameters:
    `tm` - time in milliseconds
  Throws:
    `XQException` - evaluation exception

Method Detail

### str

    public byte[] str()

  Description copied from class: `Expr`
  Returns an atomized string.

  Overrides:
    `str` in class `Expr`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD